Bug 1312877 - tidy: Out-of-bounds heap read in TextEndsWithNewline
Summary: tidy: Out-of-bounds heap read in TextEndsWithNewline
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1312883 1312884
Blocks: 1312882
TreeView+ depends on / blocked
 
Reported: 2016-02-29 12:33 UTC by Adam Mariš
Modified: 2019-09-29 13:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-07 04:44:21 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-02-29 12:33:15 UTC
An out-of-bounds heap read was found in tidy caused by specially crafted input.

Upstream bug:

https://github.com/htacg/tidy-html5/issues/379

Public via:

http://seclists.org/oss-sec/2016/q1/457

Comment 1 Adam Mariš 2016-02-29 12:45:43 UTC
Created tidy tracking bugs for this issue:

Affects: fedora-all [bug 1312883]
Affects: epel-all [bug 1312884]


Note You need to log in before you can comment on or make changes to this bug.